# Address Validation API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/address-validation-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

The Address Validation Service is an optional service which customers can use to confirm the validity of an address before sending a transaction to Mastercard Cross-Border Services.

Address validations with successful responses will return country specific address structure to be used for transactions.

List of supported countries will be maintained and activated for Mastercard Cross-Border Services. Mastercard Cross-Border Services will activate the usable countries. If the country is not in the usable list, any requests for that country will be rejected. The first country activated is United States.

## Environment Domains {#environment-domains}

* Sandbox
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production-EU
* Production-UK
* Production

```Sandbox
https://sandbox.api.mastercard.com/send/address-validation-service/addresses/validations
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/address-validation-service/addresses/validations
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/address-validation-service/addresses/validations
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/address-validation-service/addresses/validations
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/address-validation-service/addresses/validations
```

```Production-EU
https://api.xbs.mastercard.eu/send/address-validation-service/addresses/validations
```

```Production-UK
https://api.xbs.mastercard.uk/send/address-validation-service/addresses/validations
```

```Production
https://api.mastercard.com/send/address-validation-service/addresses/validations
```

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

API Reference: `GET /send/address-validation-service/addresses/validations`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  accept: Format of the inbound content being submitted. example: application/json   
  X-Mc-Correlation-Id : A unique correlation ID for tracking the request.   
  Partner-Ref-Id : A unique reference ID of the business partner.

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/address-validation-api/index.md) to test the Address Validation API in the Sandbox environment.
